using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace prvi
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] info = Console.ReadLine().Split(' ');
            int n = int.Parse(info[0]);
            int l = int.Parse(info[1]);
            info = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                if (int.Parse(info[i]) <= l)
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }
            Console.WriteLine(-1);
        }
    }
}